Description

I added the MORSE distribution today. A reoccurring problem is that, despite git shallow cloning, the analysis and checkout of

MORSE takes

forever (approx. 500 MB) --- but that's not the point because this is a problem originating in the MORSE repository. However, I just

added one

other project to the distribution (that is pulled and built in under 10 seconds), subsequently I need to generate the whole distribution 

again which

then causes endless idle time to wait for MORSE. I believe MORSE is not the only huge repo in our project stack, therefore:

Does the generator support "single project generation"? I think this has been the case some time ago.

History

#1 - 2014-05-20 16:34 - Jan Moringen

While it is planned to support analyzing individual projects, it is hard to (re)generate individual jobs which belong to a distribution because of the

build-flow job.

In my opinion, the better solution is a caching strategy for analysis results. This will allow (re)generation of jobs, with certain changes in recipes and

distributions, without repeated analysis. However, changes like repository URLs or branch list will still require a new analysis.

#2 - 2014-05-20 16:35 - Jan Moringen

- Category changed from distinstaller to build-generator

#3 - 2014-06-07 09:41 - Florian Lier

- Status changed from New to Closed
